# Request

## Description

An object used to interact with requests. Returned by [createRequest()](/advanced/request-network-sdk/sdk-api-reference/request-client.js/requestnetwork/createrequest.md) and \_createEncryptedRequest()

## Properties

<table data-full-width="true"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td>requestId</td><td>string</td><td>The ID of the request. Hash derived from the request contents. Stored alongside the request contents so can be used to look up a request.</td></tr></tbody></table>

## Instance Methods

<table data-full-width="true"><thead><tr><th>Name</th><th>Description</th></tr></thead><tbody><tr><td><a href="/pages/jpxGD9ZLosIPrjikhvK6">waitForConfirmation()</a></td><td>Wait for request to be persisted and indexed</td></tr><tr><td><a href="/pages/Te1Qyt4ODvSmVMtzYlv9">getData()</a></td><td>Unwrap the request contents</td></tr><tr><td><a href="/pages/AxTLim9FStou63JhHIkW">refresh()</a></td><td>Refresh the request data and balance</td></tr><tr><td><a href="/pages/zYQwgTzFsQYXMdwEkPCY">cancel()</a></td><td>Cancel a request</td></tr><tr><td><a href="/pages/zs1exlOKQgh7auyW30dS">accept()</a></td><td>Accept a request</td></tr><tr><td><a href="/pages/HnirRB9QNNioJk762yzD">increaseExpectedAmountRequest()</a></td><td>Increase the expected amount</td></tr><tr><td><a href="/pages/DqZ0HkJvHHZLW4tIQNQI">reduceExpectedAmountRequest()</a></td><td>Reduce the expected amount</td></tr><tr><td>Others...</td><td>Other features exist. Docs coming soon...</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy.docs.request.network/advanced/request-network-sdk/sdk-api-reference/request-client.js/request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
